Subject: bug#36488: [bug-diffutils] bug#36488: diffutils 3.7 make check failure ppc64le opensuse on colors test

From: Thiago Jung Bauermann <[email-masked]>
Date: Sun, 29 Aug 2021 18:26:01 -0300

Hello Paul,

Em domingo, 29 de agosto de 2021, às 04:22:27 -03, Paul Eggert escreveu:
> On 8/28/21 8:40 AM, Thiago Jung Bauermann via bug-diffutils via All
> 
> diffutils discussion. wrote:
> > I believe this is the same problem reported in bug 34519.
> > The Debian build also fails with "diff: standard output: Broken pipe".
> 
> Thanks for tracking that down. Frédéric's analysis in
> <https://bugs.debian.org/922552#19> was helpful.
> 
> I found some time to look into this bug, and installed into
> Savannah.gnu.org diffutils the attached patch, which I hope fixes the
> bug although I don't have the relevant platform to test it. Please give
> it a try.

Awesome! That was very fast. Thank you very much.

> Once this patch is part of a release, Debian shouldn't need any patches
> for diffutils.
> 
> For now I am closing the diffutils bug report
> <https://bugs.gnu.org/36488>; if I was too optimistic and the patch
> doesn't fix things we can always reopen it.

Unfortunately the colors test still hits the same problem in some runs even 
with this patch applied.

Do you have access to a powerpc64le-linux machine? If you want, I can give 
you an account on the VM I’m using.

-- 
Thanks,
Thiago